export const routes = [
    {
        path: '/',
        name:'login',
        component: () => import("../views/Login.vue")
    },
    {
        path: '/home',
        name:'home',
        component: () => import("../views/Home.vue")
    },
    {
        path: '/manage',
        component: () => import("@/layout/Manage.vue"),
        children:[
            {
                path: '/PersonalCenter',
                name:'个人中心',
                component: ()=> import("../views/User/PersonalCenter.vue")
            },
            {
                path: '/UserManagement',
                name:'用户列表',
                component: ()=> import("../views/User/UserManagement.vue")
            },
            {
                path: '/AddProduct',
                name: '添加商品',
                component: ()=> import("../views/Commodity/AddProduct.vue")
            },
            {
                path: '/MerchandiseCenter',
                name: '商品中心',
                component: ()=> import("../views/Commodity/MerchandiseCenter.vue")
            },
            {
                path: '/TypeManagement',
                name: '类别管理',
                component: ()=> import("../views/Commodity/TypeManagement.vue")
            },
            {
                path: '/OrderList',
                name: '订单列表',
                component: ()=> import("../views/Orders/OrderList.vue")
            },
            {
                path: '/AddCoupons',
                name:'添加优惠券',
                component: ()=> import("../views/Coupons/AddCoupons.vue")
            },
            {
                path: '/CouponCenter',
                name:'优惠券中心',
                component: ()=> import("../views/Coupons/CouponCenter.vue")
            },
            {
                path: '/orderOperations',
                name:'商品订单操作',
                component: ()=> import("../views/Orders/orderOperations.vue")
            }
        ]
    },
    {
        path: '/Test',
        name:'测试页面',
        component: () => import("../views/test.vue")
    }
]
